package cn.timer.api.controller.kqgl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;

import cn.timer.api.dto.kqgl.CompensateDto;
import cn.timer.api.dto.kqgl.LeaveTypeDto;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "3.0考勤模块")
@RestController
@Transactional
@RequestMapping(value = "/kqmk", produces = { "application/json", "multipart/form-data" })
public class TimeCardController {

	/**
	 * 	查询列表-假期规则
	 */
	@GetMapping(value = "/list_leave_rules")
	@ApiOperation(value = "1: 查询列表-假期规则", httpMethod = "GET", notes = " 查询列表-假期规则")
	@ApiOperationSupport(order = 1)
	public Result<Object> selectListLeaveRules() {

		List<LeaveTypeDto> leas = new ArrayList<LeaveTypeDto>();
		LeaveTypeDto lea = LeaveTypeDto.builder().build();
		lea.setId(1);
		lea.setValue("事假");
		leas.add(lea);
		LeaveTypeDto lea2 = LeaveTypeDto.builder().build();
		lea2.setId(2);
		lea2.setValue("调休");
		leas.add(lea2);
		LeaveTypeDto lea3 = LeaveTypeDto.builder().build();
		lea3.setId(3);
		lea3.setValue("病假");
		leas.add(lea3);

		return ResultUtil.data(leas, "操作成功!");
	}
	
	
	/**
	 * 	查询列表-加班补偿方式
	 */
	@GetMapping(value = "/list_compensate")
	@ApiOperation(value = "2: 查询列表-加班补偿方式", httpMethod = "GET", notes = " 查询列表-加班补偿方式")
	@ApiOperationSupport(order = 1)
	public Result<Object> selectListCompensate() {

		List<CompensateDto> coms = new ArrayList<CompensateDto>();
		CompensateDto com = CompensateDto.builder().build();
		com.setId(1);
		com.setValue("加班费");
		coms.add(com);
		CompensateDto coms2 = CompensateDto.builder().build();
		coms2.setId(2);
		coms2.setValue("调休");
		coms.add(coms2);

		return ResultUtil.data(coms, "操作成功!");
	}
}
